package com.braintree.cart.service.impl;

import static org.mockito.Mockito.verify;

import com.braintree.cart.dao.BrainTreeCartDAO;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;

public class BrainTreeCartServiceImplTest {

    @Mock
    private BrainTreeCartDAO brainTreeCartDao;

    @InjectMocks
    private  BrainTreeCartServiceImpl unit;

    public static final String PAYMENT_ID = "paymentId";

    @Before
    public void setUp() throws Exception {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void getCartForPaymentIdShouldCallDao() {
        unit.getCartForPaymentId(PAYMENT_ID);
        verify(brainTreeCartDao).getCartForPaymentId(PAYMENT_ID);
    }
}
