<%@ attribute name="payPalCheckoutData" required="true" type="com.braintree.hybris.data.PayPalCheckoutData" %>
<%@ attribute name="accountPage" required="true" type="java.lang.String" %>


<script>
    var clientToken = "${payPalCheckoutData.configurationData.client_id}";
    var environment = "${payPalCheckoutData.configurationData.environment}";
   	var googlePayEnabled = ${payPalCheckoutData.googlePayPaymentMethod.googlePayEnabled};
   	var googlePayCountryCode = "${payPalCheckoutData.googlePayPaymentMethod.googlePayCountryCode}";
    var googleMerchantId = "${payPalCheckoutData.googlePayPaymentMethod.googleMerchantId}";
    var venmoEnabled = ${payPalCheckoutData.venmoPaymentMethod.venmoEnabled};

    if("${accountPage}" === 'accountPaymentInfoPage'){
        var accountPaymentInfoPage = "accountPaymentInfoPage";
    }else{
    	var addPaymentMethodsPage = "addPaymentMethodsPage";
    	var paypalIntent = "${payPalCheckoutData.configurationData.intent}";
    	var storeInVault = "${payPalCheckoutData.configurationData.storeInVault}";
        var advancedFraudToolsEnabled = "${payPalCheckoutData.configurationData.advancedFraudTools}";
        var secure3d = "${payPalCheckoutData.creditCardPaymentMethod.secure3d}";
        var skip3dSecureLiabilityResult = "${payPalCheckoutData.creditCardPaymentMethod.skip3dSecureLiabilityResult}";
        var dbaName = "${payPalCheckoutData.configurationData.dbaName}";
        var singleUse = "false";
        var locale = "${payPalCheckoutData.configurationData.locale}";
        var currency = "${payPalCheckoutData.configurationData.currency}";
        var braintreeLocale = "${payPalCheckoutData.configurationData.braintreeLocale}";
        var userAction="${payPalCheckoutData.configurationData.userAction}";
        var billingAgreementDescription = "${payPalCheckoutData.payPalPaymentMethod.billingAgreementDescription}";
    	var payPalStandardEnabled = ${payPalCheckoutData.payPalPaymentMethod.payPalStandardEnabled};
        var creditEnabled = false;
        var payPalButtonConfig = {};
    }
</script>