<%@ attribute name="payPalCheckoutData" required="true" type="com.braintree.hybris.data.PayPalCheckoutData" %>

    <script>
        var paymentMethodsPage = "paymentMethodsPage";

        var clientToken = "${payPalCheckoutData.configurationData.client_id}";

        var advancedFraudToolsEnabled = "${payPalCheckoutData.configurationData.advancedFraudTools}";
        var environment = "${payPalCheckoutData.configurationData.environment}";
        var secure3d = "${payPalCheckoutData.creditCardPaymentMethod.secure3d}";
        var skip3dSecureLiabilityResult = "${payPalCheckoutData.creditCardPaymentMethod.skip3dSecureLiabilityResult}";
        var dbaName = "${payPalCheckoutData.configurationData.dbaName}";

        // only paypal specific configuration options
        var storeInVault = "${payPalCheckoutData.configurationData.storeInVault}";
        var paypalIntent = "${payPalCheckoutData.configurationData.intent}";
        var amount = "${payPalCheckoutData.amount}";
        var locale = "${payPalCheckoutData.configurationData.locale}";
        var enableShippingAddress = "${payPalCheckoutData.enableShippingAddress}";
        var braintreeLocale = "${payPalCheckoutData.configurationData.braintreeLocale}";
        var currency = "${payPalCheckoutData.configurationData.currency}";
        var recipientName = "${payPalCheckoutData.shippingAddressOverride.recipientName}";
        var streetAddress = "${payPalCheckoutData.shippingAddressOverride.streetAddress}";
        var extendedAddress = "${payPalCheckoutData.shippingAddressOverride.extendedAddress}";
        var locality = "${payPalCheckoutData.shippingAddressOverride.locality}";
        var countryCodeAlpha2 = "${payPalCheckoutData.shippingAddressOverride.countryCodeAlpha2}";
        var postalCode = "${payPalCheckoutData.shippingAddressOverride.postalCode}";
        var region = "${payPalCheckoutData.shippingAddressOverride.region}";
        var phone = "${payPalCheckoutData.shippingAddressOverride.phone}";
        var billingAgreementDescription = "${payPalCheckoutData.payPalPaymentMethod.billingAgreementDescription}";
        var userAction = "${payPalCheckoutData.configurationData.userAction}";
        var payPalStandardEnabled =${payPalCheckoutData.payPalPaymentMethod.payPalStandardEnabled};
        var applePayEnabled = ${payPalCheckoutData.applePayPaymentMethod.applePayEnabled};
        var venmoEnabled = ${payPalCheckoutData.venmoPaymentMethod.venmoEnabled};
        var creditEnabled = ${payPalCheckoutData.payPalPaymentMethod.creditEnabled};
        var venmoProfileId = "${payPalCheckoutData.venmoPaymentMethod.venmoProfileId}";
        var endpointURL = "${payPalCheckoutData.configurationData.endpointURL}";
        var disableMarkFunding = "${payPalCheckoutData.payPalPaymentMethod.disableMarkFunding}";
        var googleMerchantId = "${payPalCheckoutData.googlePayPaymentMethod.googleMerchantId}";
        var googlePayCountryCode = "${payPalCheckoutData.googlePayPaymentMethod.googlePayCountryCode}";
        var currencyMerchantAccountId = "${payPalCheckoutData.configurationData.currencyMerchantAccountId}";
        var googlePayEnabled = ${payPalCheckoutData.googlePayPaymentMethod.googlePayEnabled};
    </script>